<?php

$content = api_query('https://' . $server . '/manager/ispmgr?func=db.users&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
$parse_xml = simplexml_load_string($content);
echo '<div class="menu"><img src="images/t-new.png" alt="." /><a href="?func=db.users.edit&amp;plid=' . urlencode($_GET['elid']) . '">Создать пользователя базы данных</a>' . "\n";
echo '</div>' . "\n";
foreach($parse_xml->elem as $var) {
    echo '<div class="post"><b>Имя пользователя:</b> ' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '<b>Привилегии:</b> ';
    if (isset($var->read)) {
        echo '<img src="images/p-read.png" alt="r" />';
    }
    if (isset($var->write)) {
        echo '<img src="images/p-write.png" alt="w" />';
    }
    if (isset($var->manage)) {
        echo '<img src="images/p-manage.png" alt="ch" />';
    }
    echo '<br />' . "\n";
    echo '&#187; <a href="?func=db.users.edit&amp;elid=' . urlencode((string)$var->name) . '&amp;plid=' . urlencode($_GET['elid']) . '">Изменить</a><br />' . "\n";
    echo '&#187; <a href="?func=db.users.delete&amp;elid=' . urlencode((string)$var->name) . '&amp;plid=' . urlencode($_GET['elid']) . '">Удалить</a>' . "\n";
    echo '</div>' . "\n";
}
echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=db">Базы данных</a><br />' . "\n";
echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a></div>' . "\n";

?>